/* Software License Agreement (BSD License)
 *
 * Copyright (c) 2011, Willow Garage, Inc.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *  * Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above
 *    copyright notice, this list of conditions and the following
 *    disclaimer in the documentation and/or other materials provided
 *    with the distribution.
 *  * Neither the name of Willow Garage, Inc. nor the names of its
 *    contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
 * COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
 * ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *
 * Auto-generated by genmsg_cpp from file /tmp/buildd/ros-hydro-enu-1.2.2-0quantal-20150329-0749/srv/ToENU.srv
 *
 */


#ifndef ENU_MESSAGE_TOENURESPONSE_H
#define ENU_MESSAGE_TOENURESPONSE_H


#include <string>
#include <vector>
#include <map>

#include <ros/types.h>
#include <ros/serialization.h>
#include <ros/builtin_message_traits.h>
#include <ros/message_operations.h>

#include <geometry_msgs/Point.h>

namespace enu
{
template <class ContainerAllocator>
struct ToENUResponse_
{
  typedef ToENUResponse_<ContainerAllocator> Type;

  ToENUResponse_()
    : enu()  {
    }
  ToENUResponse_(const ContainerAllocator& _alloc)
    : enu(_alloc)  {
    }



   typedef  ::geometry_msgs::Point_<ContainerAllocator>  _enu_type;
  _enu_type enu;




  typedef boost::shared_ptr< ::enu::ToENUResponse_<ContainerAllocator> > Ptr;
  typedef boost::shared_ptr< ::enu::ToENUResponse_<ContainerAllocator> const> ConstPtr;
  boost::shared_ptr<std::map<std::string, std::string> > __connection_header;

}; // struct ToENUResponse_

typedef ::enu::ToENUResponse_<std::allocator<void> > ToENUResponse;

typedef boost::shared_ptr< ::enu::ToENUResponse > ToENUResponsePtr;
typedef boost::shared_ptr< ::enu::ToENUResponse const> ToENUResponseConstPtr;

// constants requiring out of line definition



template<typename ContainerAllocator>
std::ostream& operator<<(std::ostream& s, const ::enu::ToENUResponse_<ContainerAllocator> & v)
{
ros::message_operations::Printer< ::enu::ToENUResponse_<ContainerAllocator> >::stream(s, "", v);
return s;
}

} // namespace enu

namespace ros
{
namespace message_traits
{



// BOOLTRAITS {'IsFixedSize': True, 'IsMessage': True, 'HasHeader': False}
// {'std_msgs': ['/opt/ros/hydro/share/std_msgs/cmake/../msg'], 'geometry_msgs': ['/opt/ros/hydro/share/geometry_msgs/cmake/../msg'], 'sensor_msgs': ['/opt/ros/hydro/share/sensor_msgs/cmake/../msg']}

// !!!!!!!!!!! ['__class__', '__delattr__', '__dict__', '__doc__', '__eq__', '__format__', '__getattribute__', '__hash__', '__init__', '__module__', '__ne__', '__new__', '__reduce__', '__reduce_ex__', '__repr__', '__setattr__', '__sizeof__', '__str__', '__subclasshook__', '__weakref__', '_parsed_fields', 'constants', 'fields', 'full_name', 'has_header', 'header_present', 'names', 'package', 'parsed_fields', 'short_name', 'text', 'types']




template <class ContainerAllocator>
struct IsFixedSize< ::enu::ToENUResponse_<ContainerAllocator> >
  : TrueType
  { };

template <class ContainerAllocator>
struct IsFixedSize< ::enu::ToENUResponse_<ContainerAllocator> const>
  : TrueType
  { };

template <class ContainerAllocator>
struct IsMessage< ::enu::ToENUResponse_<ContainerAllocator> >
  : TrueType
  { };

template <class ContainerAllocator>
struct IsMessage< ::enu::ToENUResponse_<ContainerAllocator> const>
  : TrueType
  { };

template <class ContainerAllocator>
struct HasHeader< ::enu::ToENUResponse_<ContainerAllocator> >
  : FalseType
  { };

template <class ContainerAllocator>
struct HasHeader< ::enu::ToENUResponse_<ContainerAllocator> const>
  : FalseType
  { };


template<class ContainerAllocator>
struct MD5Sum< ::enu::ToENUResponse_<ContainerAllocator> >
{
  static const char* value()
  {
    return "4062be16f7c9b6baec88f3c98545e83a";
  }

  static const char* value(const ::enu::ToENUResponse_<ContainerAllocator>&) { return value(); }
  static const uint64_t static_value1 = 0x4062be16f7c9b6baULL;
  static const uint64_t static_value2 = 0xec88f3c98545e83aULL;
};

template<class ContainerAllocator>
struct DataType< ::enu::ToENUResponse_<ContainerAllocator> >
{
  static const char* value()
  {
    return "enu/ToENUResponse";
  }

  static const char* value(const ::enu::ToENUResponse_<ContainerAllocator>&) { return value(); }
};

template<class ContainerAllocator>
struct Definition< ::enu::ToENUResponse_<ContainerAllocator> >
{
  static const char* value()
  {
    return "geometry_msgs/Point enu\n\
\n\
\n\
================================================================================\n\
MSG: geometry_msgs/Point\n\
# This contains the position of a point in free space\n\
float64 x\n\
float64 y\n\
float64 z\n\
";
  }

  static const char* value(const ::enu::ToENUResponse_<ContainerAllocator>&) { return value(); }
};

} // namespace message_traits
} // namespace ros

namespace ros
{
namespace serialization
{

  template<class ContainerAllocator> struct Serializer< ::enu::ToENUResponse_<ContainerAllocator> >
  {
    template<typename Stream, typename T> inline static void allInOne(Stream& stream, T m)
    {
      stream.next(m.enu);
    }

    ROS_DECLARE_ALLINONE_SERIALIZER;
  }; // struct ToENUResponse_

} // namespace serialization
} // namespace ros

namespace ros
{
namespace message_operations
{

template<class ContainerAllocator>
struct Printer< ::enu::ToENUResponse_<ContainerAllocator> >
{
  template<typename Stream> static void stream(Stream& s, const std::string& indent, const ::enu::ToENUResponse_<ContainerAllocator>& v)
  {
    s << indent << "enu: ";
    s << std::endl;
    Printer< ::geometry_msgs::Point_<ContainerAllocator> >::stream(s, indent + "  ", v.enu);
  }
};

} // namespace message_operations
} // namespace ros

#endif // ENU_MESSAGE_TOENURESPONSE_H
